---
# Settings for generating changelogs using the GitLab API. See
# https://docs.gitlab.com/ee/api/repositories.html#generate-changelog-data for
# more information.
categories:
  added: Added
  fixed: Fixed
  changed: Changed
  deprecated: Deprecated
  removed: Removed
  security: Security
  performance: Performance
  other: Other
template: |
  {% if categories %}
  {% each categories %}
  ### {{ title }} ({% if single_change %}1 change{% else %}{{ count }} changes{% end %})

  {% each entries %}
  - [{{ title }}]({{ commit.web_url }})\
  {% if author.credit %} by {{ author.reference }}{% end %}\
  {% if commit.trailers.MR %}\
   ([merge request]({{ commit.trailers.MR }}))\
  {% else %}\
  {% if merge_request %}\
   ([merge request]({{ merge_request.web_url }}))\
  {% end %}\
  {% end %}\
  {% if commit.trailers.EE %}\
   **GitLab Enterprise Edition**\
  {% end %}

  {% end %}

  {% end %}
  {% else %}
  No changes.
  {% end %}
